summaryrefslogtreecommitdiff
path: root/qa/268
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/268
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/268')
-rwxr-xr-xqa/26825
1 files changed, 25 insertions, 0 deletions
diff --git a/qa/268 b/qa/268
new file mode 100755
index 0000000..b7bd594
--- /dev/null
+++ b/qa/268
@@ -0,0 +1,25 @@
+#! /bin/sh
+# PCP QA Test No. 268
+# simple endian test for bit fields in exposed PCP structs
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+if src/endian
+then
+ # success
+ status=0
+fi
+
+exit